<?php declare(strict_types=1);

namespace App\Services\Documentation;

use App\Dto\Builder\Documentation as DocumentationBuilderDto;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\Relation;

final readonly class BuilderCommand
{
    public function execute(Relation | Builder $query, DocumentationBuilderDto $documentationBuilderDto): Relation | Builder
    {
        if ($documentationBuilderDto->isPublic() !== null) {
            $query->where('is_public', $documentationBuilderDto->isPublic());
        }

        return $query;
    }
}
