<?php declare(strict_types=1);

namespace App\Services\DocumentationCategory;

use App\Dto\Builder\DocumentationCategory as DocumentationCategoryBuilderDto;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\Relation;

final readonly class BuilderCommand
{
    public function execute(Relation | Builder $query, DocumentationCategoryBuilderDto $documentationCategoryBuilderDto): Relation | Builder
    {
        if ($documentationCategoryBuilderDto->isPublic() !== null) {
            $query->where('is_public', $documentationCategoryBuilderDto->isPublic());
        }

        return $query;
    }
}
